c    ******************************************************************************
c     Corrvel.f  calcula a correlacao das velocidades:
c
c     c(tau) = 1/N (sum(cos{theta(i) - theta(i+tau)}))
c
c            
c     C Prado - jun/2004
c    ************************************************************************** 
c                
c
c     Principais variaveis e parametros
c
c     N = numero de pontos na serie
c
c
c
      real x(1000000), cor
      integer N,taumax,t
c
      open(unit=90,file='corrvel.dat',status='unknown')
      open(unit=21,file='theta.dat',status='unknown')
c
c
      nfora = 500000
      N = 1000000
      taumax = 500
c
c
c     joga fora os primeiros pontos
c
      do i=1,nfora
       read(21,*) x(1)
      enddo 
c
c     le o vetor x(i)
c
      do i=1,N
         read(21,*) x(i)
      enddo 
c
c     inicia o calculo da correlacao
c
      do m = 1,taumax
         cor = 0.0
         do i = 1,N-taumax
            cor = cor + cos(x(i) - x(i+m))
         enddo   
         cor = cor/(N-taumax)
c
         write(90,100) m,cor
 100     format(1h ,I7,f11.6)
c
      enddo
c
      stop
      end

               
          




